Bug 10270 - [FR] Патч: передача в окружение IP-адреса инициатора соединения
: [FR] Патч: передача в окружение IP-адреса инициатора соединения
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
: 13811
  Show dependency tree
 
Reported: 2006-11-14 14:35 by
Modified: 2008-01-07 19:11 (History)


Attachments
ppp-2.4.4-alt-ipparam.patch (422 bytes, patch)
2007-12-08 22:13, Michael Shigorin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-11-14 14:35:10
Часто бывает очень полезно иметь IP-шник инициатора соединения.

--- ppp-2.4.2_/pppd/auth.c      2006-08-23 23:28:38 +0400
+++ ppp-2.4.2/pppd/auth.c       2006-08-24 00:05:17 +0400
@@ -2430,7 +2430,8 @@
   argv[3] = user_name;
   argv[4] = devnam;
   argv[5] = strspeed;
-    argv[6] = NULL;
+    argv[6] = ipparam;
+    argv[7] = NULL;

   auth_script_pid = run_program(script, argv, 0, auth_script_done, NULL);
}
------- Comment #1 From 2007-03-25 22:47:22 -------
reassign
------- Comment #2 From 2007-06-28 11:03:35 -------
Использую это очень давно - проблем нет - зато удобства! Для офисной сети -
если
не со своего компьютера делаешь впн - включается сирена, jabber сообщения
админу
итд. Для малого провайдера - локальный адрес абонента - очень важно при
подключении. Народ выкручивается как может - а тут так просто... Может сделать
из коробки всеже?
------- Comment #3 From 2007-12-08 22:11:40 -------
reassign
------- Comment #4 From 2007-12-08 22:13:35 -------
Created an attachment (id=2324) [details]
ppp-2.4.4-alt-ipparam.patch

patch54
------- Comment #5 From 2007-12-08 22:17:00 -------
fixed in 2.4.4-alt9.9, обновлено там же с добавкой к %changelog